"use strict";
this.name = "coyoteAnaconda180";
this.author = "Okti";
this.copyright = "(C) Okti";
this.licence = "Creative Commons Attribution - Non-Commercial - Share Alike 3.0";
this.description = "Ship script for coyoteAnaconda and python during STAGE_160.";

this.shipSpawned = function () {
	//this.ship.reportAIMessages = true;
}

this.shipDied = function (whom, why) {
	missionVariables.Coyote_KatikHunt += 1;
	if (missionVariables.Coyote_KatikHunt == 1) {
		worldScripts["Coyote-Main"].setMissionInstructions("CE_MI_S_180_02");
	} else if (missionVariables.Coyote_KatikHunt == 2) {
		worldScripts["Coyote-Main"].setMissionInstructions("CE_MI_S_180_03");
	} else if (missionVariables.Coyote_KatikHunt == 3) {
		worldScripts["Coyote-Main"].setMissionInstructions("CE_MI_S_180_04");
	} else if (missionVariables.Coyote_KatikHunt == 4) {
		worldScripts["Coyote-Main"].setMissionInstructions("CE_MI_S_180_05");
	} else if (missionVariables.Coyote_KatikHunt == 5) {
		worldScripts["Coyote-Main"].setMissionInstructions("CE_MI_S_180_06");
		missionVariables.Coyote_status = "STAGE_190";
		mission.unmarkSystem(109);
		mission.markSystem(100);
	}
	player.consoleMessage(missionVariables.Coyote_KatikHunt + "/5 Clan Katik's transports have been Killed", 5);
}